Package org.h2.util.json

# Class JSONValue

java.lang.Object
org.h2.util.json.JSONValue

Direct Known Subclasses:
  `JSONArray`, `JSONBoolean`, `JSONNull`, `JSONNumber`, `JSONObject`, `JSONString`

public abstract class JSONValue extends Object
JSON value.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`addTo(JSONTarget<?> target)`
Appends this value to the specified target.
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### addTo

public abstract void addTo(JSONTarget<?> target)
Appends this value to the specified target.

Parameters:
  `target` - the target

### toString

public final String toString()

Overrides:
  `toString` in class `Object`